#!/bin/csh

# backup v4.2
set dnetdir=/home/groups/home/web/dnet
set imgdir=/home/groups/home/web/
set v42dir=$dnetdir/v42

/bin/mkdir -p $v42dir
/bin/mkdir -p $v42dir/page
/bin/mkdir -p $v42dir/help
/bin/mkdir -p $v42dir/local.jp
/bin/mkdir -p $v42dir/data

set module=(dnet.cgi xaddropt xalarm xcabinet.cgi xdoc.cgi xenquete.cgi xforum.cgi xinfo.cgi xlogaccess xlogdisksize xmail.cgi xmailintg xmailrefer.cgi xmailsearch xmemp.cgi xpay.cgi xproject.cgi xrefer.cgi xreminder xreport.cgi xscheduler xsearch.cgi xstock.cgi xtag.cgi)
set page=(xaddrentry.html xaddrentrydetail.html xaddrlist.html xaddrlistsearch.html xaddrrefer.html xaddrreferdetail.html xaddrsubwindow.html xcomattachselect.html xcomformatgrouplist.html xcomformatlist.html xcomsetattachselect.html xcomsetformatlist.html xcomtabwinjump.html xdocentry.html xdocfolderaccess.html xdocfolderentry.html xdocrefer.html xdocsetautoloaderr.html xdocsetautoloadfolderentry.html xdocsetautoloadfolderlist.html xdocsetautoloadmailentry.html xdocsetautoloadmaillist.html xdocsetautoloadstatus.html xdocsetfolderaccess.html xdocsetfolderentry.html xenqreferreply.html xflowref.html xflowrouteentry.html xflowroutepool.html xflowrouteuser.html xflowsetrouteentry.html xflowsetroutepool.html xformentry.html xformexport.html xformgroupexport.html xformgroupimport.html xformimport.html xformpshelpimportattach.html xformpshelpimportautocal.html xformpshelpimportautocalsum.html xformpshelpimportcheckbox.html xformpshelpimportdate.html xformpshelpimportinput.html xformpshelpimportnumber.html xformpshelpimportradio.html xformpshelpimportselect.html xformpshelpimportstr.html xformpshelpimportstrs.html xformpshelpimporttextarea.html xformpsimportsmp1.html xformpsimportsmp2.html xformpsimportsmp3.html xformpsimportsmp4.html xformsetentry.html xformsetexport.html xformsetimport.html xforumgenprivate.html xforumsetadmin.html xforumsetgen.html xinfoentry.html xinfogenprivate.html xinforef.html xinfosetadmin.html xinfosetgen.html xmailaccount.html xmaildelconfirm.html xmailgenprivate.html xmailintg.html xmaillist.html xmailmsgrefresh.html xmailpsetautorecv.html xmailsend.html xmailsendconfirm.html xmailsendspeditor.html xmailsetaccimp.html xmailsetaccount.html xmailsetadmin.html xmailsetgen.html xmailsetmsgrefresh.html xmailsetserver.html xmailsubwindow.html xmailtrouble.html xmailtroubleappend.html xmailtroublelist.html xpasswdmod.html xplantfree.html xplantfreedetail.html xplantfreedetailuser.html xplantfreeuser.html xplantpsetschexport.html xplantpsetschimport.html xplantsubwindow.html xpsetdispinfogroup.html xpsetgroup.html xpsetgroupentry.html xpsetuserentry.html xschfree.html xschfreedetail.html xschfreedetailuser.html xschlist.html xschmonth.html xschprintcal.html xschpsetimport.html xschseticonentry.html xschseticons.html xschsubwindow.html xsetadmin.html xsetdispinfogroup.html xseticon.html xsetlogin.html xsetoffice.html xsetportalwindowentry.html xsetskype.html xsetsmtp.html xsettabwindowentry.html xsetuser.html xsetuserdispitem.html xsetuserpset.html xusetuserentry.html xusetuserinfo.html xusetusersaddress.html xusetusersaddrsearch.html)
set help=(addrindex agentgenprivate circlerefer circlerefermanage circlereferrecv circlerefersend docentry docfolderaccess docfolderentry docindex enqformentrypri enqmanageref enqrefer enqrefrecv enqrefsend flowabsence flowformatentrygrp flowformatentrypri flowreapply flowrefermanage flowreferrecv flowrefersearch flowrefersend flowrouteentry flowrouteentrygrp flowrouteentrypri flowrouteuser forumarticles forumartlist forumartlisttree forumarttopic forumarttree forumgenprivate forumlist forummntartentry forummntarticles forummntartlistattach forummntarttree forumsearch infoentry infogenprivate infosearch koubaiindexsearch koubaimanagesearch koubaiorderlist koubaisearch mailaccountentry mailgenprivate maillist mailsend paydemandlist plantpsetimport plantpsetschimport prjentry psetindex psetportal reportrefer reportrefermanage reportreferrecv reportrefersend reportrefreply reportrefreturn schday schdaygrp schmonth schpsetimport schpsetreminder schweek schweekgrp usetuserentry)
set local=(addr cab circle com doc enq flow form info mail message plant pset report sch set topmenu uset version)

# module move
foreach m($module)
	/bin/mv $dnetdir/$m $v42dir/.
end
foreach p($page)
	/bin/mv $dnetdir/page/$p $v42dir/page/.
end
foreach h($help)
	/bin/mv $dnetdir/help/$h $v42dir/help/.
end
foreach l($local)
	/bin/mv $dnetdir/local.jp/$l $v42dir/local.jp/.
end

# data move
/bin/mv $dnetdir/LICENSE $v42dir/.

# data move
/bin/mkdir -p $v42dir/data/scheduler/module
/bin/mv $dnetdir/data/scheduler/module/index $v42dir/data/scheduler/module/.
/bin/mkdir -p $v42dir/data/toolbox
/bin/mv $dnetdir/data/toolbox/info $v42dir/data/toolbox/.

# image move
/bin/mkdir -p $v42dir/neoimage
/bin/mkdir -p $v42dir/neoimage/addr
/bin/mv $imgdir/neoimage/addr/ic_pc.gif $v42dir/neoimage/addr/.

# js move
/bin/mkdir -p $v42dir/neojs
/bin/mv $imgdir/neojs/checkall.js $v42dir/neojs/.
/bin/mv $imgdir/neojs/htmpt.js $v42dir/neojs/.

# compress v42
/bin/tar zcvf $dnetdir/v42.tar.gz $v42dir
/bin/rm -fr $v42dir

echo "pre-install $$ $0" >> /tmp/install.log
exit 0
